<marlin xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="http://ilcsoft.desy.de/marlin/marlin.xsd">
<execute>
    <processor name="ProgressProcessor" />
    <processor name="BoxFinder" />
    <processor name="LayerClusterProcessor"/>
    <processor name="WireChamberCalibrationProcessor"/>
    <processor name="WireChamberTracker" />
    <processor name="MuonTracker"/>
</execute>

<global>
    <parameter name="LCIOInputFiles"> /afs/cern.ch/eng/clic/work/DHCAL/LCIO/dhcLcio-Run660525.slcio /afs/cern.ch/eng/clic/work/DHCAL/LCIO/dhcLcio-Run660356.slcio</parameter>
    <!-- limit the number of processed records (run+evt): -->  
    <parameter name="MaxRecordNumber" value="10000000" />  
    <parameter name="SkipNEvents" value="0" />  
    <parameter name="SupressCheck" value="false" />  
    <parameter name="GearXMLFile"> </parameter>  
    <parameter name="Verbosity" options="DEBUG0-4,MESSAGE0-4,WARNING0-4,ERROR0-4,SILENT"> MESSAGE </parameter> 
    <parameter name="RandomSeed" value="1234567890" />
</global>

<processor name="ProgressProcessor" type="DhcalProgressProcessor">
    <parameter name="Interval" value="1000" />
</processor>

<processor name="BoxFinder" type="BoxEventFinder">
    <parameter name="CaloHitCollections"> DhcHits DhcTailCatcherHits </parameter>
    <parameter name="SkipBoxEvents" value="true" />
    <parameter name="Verbosity" > MESSAGE </parameter> 
</processor>

<processor name="LayerClusterProcessor" type="NNClusteringProcessor">
    <parameter name="InputCollections"> DhcHits DhcTailCatcherHits </parameter>
    <parameter name="OutputCollection"> LayerClusters </parameter>
    <parameter name="MaxDistanceUV" value="2" />
    <parameter name="MaxDistanceLayer" value="0" />
    <parameter name="Verbosity" > SILENT </parameter> 
</processor>

<processor name="WireChamberCalibrationProcessor" type="WireChamberCalibrationProcessor">
    <parameter name="InputCollection"> WireChamberRawHits </parameter>
    <parameter name="OutputCollection"> CalibratedWireChamberHits </parameter>
    <parameter name="HorizontalSlopes"> -0.175409596771 -0.174984287744 -0.178103142033 </parameter>
    <parameter name="VerticalSlopes"> 0.177104401967 0.175526548895 0.176354302908 </parameter>
    <parameter name="HorizontalResolutions"> 0.60 0.60 0.60 </parameter>
    <parameter name="VerticalResolutions"> 0.52 0.52 0.52 </parameter>
    <parameter name="XPositions"> -3.392294 -3.956241135 -0.3192137345 </parameter>
    <parameter name="YPositions"> -2.2348427 -1.8958927 -0.8168027 </parameter>
    <parameter name="ZPositions"> -374.5 -807.4 -1244.2 </parameter>
    <parameter name="Verbosity" > SILENT </parameter> 
</processor>

<processor name="WireChamberTracker" type="WireChamberTracker">
	<parameter name="ChiLimit"> 5 </parameter>
	<parameter name="Verbosity" > SILENT </parameter> 
</processor>

<processor name="MuonTracker" type="MuonTracker">
	<parameter name="LayersConsidered"> 10 </parameter>
	<parameter name="XBins"> 200 </parameter>
	<parameter name="YBins"> 200 </parameter>
	<parameter name="XMin"> -5 </parameter>
	<parameter name="YMin"> -5 </parameter>
	<parameter name="XMax"> 5 </parameter>
	<parameter name="YMax"> 5 </parameter>
	<parameter name="ChiLimit"> 5 </parameter>
	<parameter name="ClusterSize"> 5 </parameter>
	<parameter name="PercentEfficiency"> 0.80 </parameter>
	<parameter name="SkipLimit"> 2 </parameter>
	<parameter name="MuonZ0DistXBins"> 50 </parameter>
	<parameter name="MuonZ0DistYBins"> 50 </parameter>
	<parameter name="MuonZ0DistXMin"> -100 </parameter>
	<parameter name="MuonZ0DistYMin"> -100 </parameter>
	<parameter name="MuonZ0DistXMax"> 100 </parameter>
	<parameter name="MuonZ0DistYMax"> 100 </parameter>
	<parameter name="Title"> 0 </parameter>
	<parameter name="Verbosity" > SILENT </parameter> 
</processor>

</marlin>
